Uploaded image for project: 'Minecraft Launcher'
  1. Minecraft Launcher
  2. MCL-8425

Launcher does not replace outdated version json files

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Invalid
    • Affects Version/s: 1.6.76 (java)
    • Fix Version/s: None
    • Component/s: None
    • Labels:
    • Confirmation Status:
      Unconfirmed

      Description

      The bug

      It appears the launcher does not replace outdated version json files. In particular when 17w43b came out the version file did not have the correct format, arguments in the arguments key did not contain value keys and therefore could not be deserialized.
      If the launcher had already downloaded this incorrect file it would not replace it with the new one. However, launching would work because it downloaded the version file again.

      How to reproduce

      1. Place the attached file 17w43b.json in the .minecraft\versions\17w43b folder
      2. Open the launcher
        → You should see an "Couldn't load local version" error
      3. Close the launcher and open it again
        → The error still appears

      Affected versions

      Currently tracked here since selectable launcher versions here in Mojira are not always up to date

      • 1.6.84-j

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              marcono1234 [Mod] Marcono1234
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: